Issue 98163 - Hard coded SQL in reports
Summary: Hard coded SQL in reports
Status: CLOSED FIXED
Alias: None
Product: Base
Classification: Application
Component: code (show other issues)
Version: DEV300m14
Hardware: Unknown All
: P3 Trivial with 10 votes (vote)
Target Milestone: 3.4.0
Assignee: marc.neumann
QA Contact: issues@dba
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-16 23:38 UTC by villeroy
Modified: 2011-04-02 13:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description villeroy 2009-01-16 23:38:39 UTC
Open the "Bibliography" database and add a query
SELECT "Identifier" FROM "biblio" WHERE "Identifier" = 'OOO00'
Create a most simple report based on that query (3 clicks in the report wizard).
Close the report, change the query, for instance:
SELECT "Identifier" FROM "biblio" WHERE "Identifier" <> 'OOO00'
Reload the report. It shows the same single record although the query has changed.

Work-around:
Open the report in edit mode.
Get the form navigator. It shows 6 hidden controls (named values as configuration).
One of them is "Command". Get the property window for "Command". It's value is
the SQL string of our query at creation time.
Delete that SELECT query, save the report, load it, change query, reload
report,... works as expected.
Comment 1 seglea 2009-01-28 21:48:55 UTC
This is a very irritating bug which has generated a lot of mystification on the
community bulletin board, and I suspect stopped a lot of people using Base.
Comment 2 brianlambert 2010-03-20 16:35:48 UTC
*** Issue 98163 has been confirmed by votes. ***
Comment 3 brianlambert 2010-03-20 16:38:29 UTC
This is a real problem for new users, even the very simplest of reports fails to
respond to any changes in the underlying query despite the report being set to
dynamically update. Updates OK if the report linked directly to a table but not
when linked to a query.
Comment 4 ocke.janssen 2010-11-29 08:26:14 UTC
Did you already try the Report Builder?
http://extensions.services.openoffice.org/en/project/reportdesign
Comment 5 villeroy 2010-11-29 16:50:32 UTC
Yes, I tried the report builder several times without much success. It's just
another bag of bugs.
I like the simplicity of the old wizard dumping row sets into Writer tables.
When I need more than that I prefer Calc as reporting engine. Calc provides
sufficient layout features, calculated fields, summaries, pivot tables, charts
and more.
Comment 6 ocke.janssen 2010-11-30 06:10:08 UTC
I hope you submit issues for the report builder, so that I can fix them :-) By
the way the report builder also supports calculated fields and charts.
Comment 7 ocke.janssen 2011-01-19 14:54:03 UTC
Fixed in cws dba34d.
Comment 8 ocke.janssen 2011-03-16 12:55:25 UTC
Please verify. Thanks.

You have to use the old writer report wizard. Deinstall Report Builder.
Comment 9 marc.neumann 2011-03-21 10:48:40 UTC
verified in cws dba34d
Comment 10 r4zoli 2011-04-02 13:34:36 UTC
Checked in DEV300m105, Ok.